<?php
	include_once(realpath(dirname(__FILE__)) . "/Icirelais.class.php");

	require_once __DIR__ . "/../../../fonctions/authplugins.php";
	autorisation("icirelais");
	
	$urlsite = new Variable();
	$urlsite->charger("urlsite");
	
	$adm = new AdmIcirelais();
        
        $expediteur_nom = new Variable();
        $expediteur_nom->charger(AdmIcirelais::EXPEDITEUR_NOM);
        $expediteur_rue = new Variable();
        $expediteur_rue->charger(AdmIcirelais::EXPEDITEUR_RUE);
        $expediteur_ad1 = new Variable();
        $expediteur_ad1->charger(AdmIcirelais::EXPEDITEUR_AD1);
        $expediteur_cp = new Variable();
        $expediteur_cp->charger(AdmIcirelais::EXPEDITEUR_CP);
        $expediteur_ville = new Variable();
        $expediteur_ville->charger(AdmIcirelais::EXPEDITEUR_VILLE);
        $expediteur_tel = new Variable();
        $expediteur_tel->charger(AdmIcirelais::EXPEDITEUR_TEL);
        $expediteur_telport = new Variable();
        $expediteur_telport->charger(AdmIcirelais::EXPEDITEUR_TELPORT);
        $expediteur_email = new Variable();
        $expediteur_email->charger(AdmIcirelais::EXPEDITEUR_EMAIL);
        $unite_poids = new Variable();
        $unite_poids->charger(AdmIcirelais::UNITE_POIDS);
        $assure_colis = new Variable();
        $assure_colis->charger(AdmIcirelais::ASSURE_COLIS);
        
	$maj = $_REQUEST['maj_config'];

	switch($maj) 
	{
        case 'maj_config' :
            $adm->update_config();
        break;
	}

?>
<div id="contenu_int"> 
	<p>
		<a href="accueil.php" class="lien04">Accueil</a>
		<img src="gfx/suivant.gif" width="12" height="9" border="0" />
		<a href="module.php?nom=icirelais" class="lien04">Icirelais</a>
	</p>
	
	<div id="bloc_description">

		<!-- DEBUT DU BLOC DE CONFIGURATION -->
		<div class="entete">
			<div class="titre">CONFIGURATION</div>
			<div class="fonction_valider"><a href="#" onclick="document.getElementById('form_config').submit(); return false;">VALIDER LES MODIFICATIONS</a></div>
		</div>

        <form method="post" action="module.php?nom=icirelais" id="form_config">
        	<input type="hidden" name="maj_config" id="maj_config" value="maj_config" />
		 	<table width="100%" cellpadding="5" cellspacing="0">
				<tr class="fonce">
					<td style="width:300px;" class="designation">Nom exp&eacute;diteur</td>
                                        <td><input type="text" size="30" name="<?php echo AdmIcirelais::EXPEDITEUR_NOM; ?>" value="<?php echo $expediteur_nom->valeur; ?>" /></td>
				</tr>
				<tr class="claire">
					<td style="width:300px;" class="designation">Adresse exp&eacute;diteur</td>
                                        <td><input type="text" size="30" name="<?php echo AdmIcirelais::EXPEDITEUR_RUE; ?>" value="<?php echo $expediteur_rue->valeur; ?>" /></td>
				</tr>
				<tr class="fonce">
					<td style="width:300px;" class="designation">Compl&eacute;ment adresse exp&eacute;diteur</td>
                                        <td><input type="text" size="30" name="<?php echo AdmIcirelais::EXPEDITEUR_AD1; ?>" value="<?php echo $expediteur_ad1->valeur; ?>" /></td>
				</tr>
				<tr class="claire">
					<td style="width:300px;" class="designation">Code postal exp&eacute;diteur</td>
                                        <td><input type="text" size="30" name="<?php echo AdmIcirelais::EXPEDITEUR_CP; ?>" value="<?php echo $expediteur_cp->valeur; ?>" /></td>
				</tr>
				<tr class="fonce">
					<td style="width:300px;" class="designation">Ville exp&eacute;diteur</td>
                                        <td><input type="text" size="30" name="<?php echo AdmIcirelais::EXPEDITEUR_VILLE; ?>" value="<?php echo $expediteur_ville->valeur; ?>" /></td>
				</tr>
				<tr class="claire">
					<td style="width:300px;" class="designation">T&eacute;l&eacute;phone exp&eacute;diteur</td>
                                        <td><input type="text" size="30" name="<?php echo AdmIcirelais::EXPEDITEUR_TEL; ?>" value="<?php echo $expediteur_tel->valeur; ?>" /></td>
				</tr>
				<tr class="fonce">
					<td style="width:300px;" class="designation">T&eacute;l&eacute;phone portable exp&eacute;diteur</td>
                                        <td><input type="text" size="30" name="<?php echo AdmIcirelais::EXPEDITEUR_TELPORT; ?>" value="<?php echo $expediteur_telport->valeur; ?>" /></td>
				</tr>
				<tr class="claire">
					<td style="width:300px;" class="designation">Email exp&eacute;diteur</td>
                                        <td><input type="text" size="30" name="<?php echo AdmIcirelais::EXPEDITEUR_EMAIL; ?>" value="<?php echo $expediteur_email->valeur; ?>" /></td>
				</tr>
				<tr class="fonce">
	                <td style="width:300px;" class="designation">Unit&eacute; de poids de vos produits</td>
                    <td>
                        <select name="<?php echo AdmIcirelais::UNITE_POIDS; ?>">
	                        <option value="kg">Kilogramme</option>
	                        <option value="g" <?php if ($unite_poids->valeur != 'kg') echo 'selected="selected"'; ?>>Gramme</option>
	                    </select>
                    </td>
                </tr>
                <tr class="claire">
	                <td style="width:300px;" class="designation">Assurer la valeur marchande des colis</td>
                    <td>
                        <input type="radio" name="<?php echo AdmIcirelais::ASSURE_COLIS; ?>" value="oui" <?php if ($assure_colis->valeur != 'non') echo 'checked="checked"'; ?>/>oui
	                    <input type="radio" name="<?php echo AdmIcirelais::ASSURE_COLIS; ?>" value="non" <?php if ($assure_colis->valeur != 'oui') echo 'checked="checked"'; ?>/>non
                    </td>
                </tr>
			</table>
		</form>
		
		<a href="../client/plugins/icirelais/icirelais_export.php" title="récuperer">Récuperer le fichier</a>
	</div>
</div>